# H248_CommandReply Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_addReply, e_moveReply, e_modReply, e_subtractReply, e_auditCapReply, e_auditValueReply, e_notifyReply, e_serviceChangeReply }

## Public Member Functions

| H248_CommandReply (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_AmmsReply & ()
| operator const H248_AmmsReply & () const
| operator H248_AuditReply & ()
| operator const H248_AuditReply & () const
| operator H248_NotifyReply & ()
| operator const H248_NotifyReply & () const
| operator H248_ServiceChangeReply & ()
| operator const H248_ServiceChangeReply & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_CommandReply::Choices

Enumerator:

  e_addReply |
  e_moveReply |
  e_modReply |
  e_subtractReply |
  e_auditCapReply |
  e_auditValueReply |
  e_notifyReply |
  e_serviceChangeReply |

## Constructor & Destructor Documentation

H248_CommandReply::H248_CommandReply | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_CommandReply::operator H248_AmmsReply & | ( |  | ) |

H248_CommandReply::operator const H248_AmmsReply & | ( |  | ) | const

H248_CommandReply::operator H248_AuditReply & | ( |  | ) |

H248_CommandReply::operator const H248_AuditReply & | ( |  | ) | const

H248_CommandReply::operator H248_NotifyReply & | ( |  | ) |

H248_CommandReply::operator const H248_NotifyReply & | ( |  | ) | const

H248_CommandReply::operator H248_ServiceChangeReply & | ( |  | ) |

H248_CommandReply::operator const H248_ServiceChangeReply & | ( |  | ) | const

PBoolean H248_CommandReply::CreateObject | ( |  | ) |

PObject* H248_CommandReply::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h